#include <iostream>

typedef struct Grupa
{
	long long n, m, k;
};

int main()
{
	long long T;
	std::cin >> T;
	Grupa g[10];
	std::string a[10];
	int h = 0;
	for (int i = 0; i < T; i++)
	{
		std::cin >> g[i].n >> g[i].m >> g[i].k;
		if ((T * (T + 1) / 2) < (g[i].m / g[i].k))
			a[h++] = "Tak";
		else
			a[h++] = "Nie";
	}
	for (int i = 0; i < h; i++)
		std::cout << a[i]<<std::endl;
	return 0;
}